Package org.opensaml.messaging.context

# Class BaseContext.DeprecatedContextClassNameLookAside

java.lang.Object
org.opensaml.messaging.context.BaseContext.DeprecatedContextClassNameLookAside

Enclosing class:
  BaseContext

public static class BaseContext.DeprecatedContextClassNameLookAside extends Object
A facade for a map of class names to class types that allows string-based access to renamed classes.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Map<String,Class<? extends BaseContext>>`
`lookAsideMap`
Map of renamed classes.

## Constructor Summary

Constructors
Constructor
Description
`DeprecatedContextClassNameLookAside(Map<String,Class<? extends BaseContext>> map)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Class<? extends BaseContext>`
`get(String name)`
Get the relocated class object if it exists.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### lookAsideMap

@Nonnull private final Map<String,Class<? extends BaseContext>> lookAsideMap
Map of renamed classes.

## Constructor Details

### DeprecatedContextClassNameLookAside

public DeprecatedContextClassNameLookAside(@Nullable Map<String,Class<? extends BaseContext>> map)
Constructor.

Parameters:
  `map` - look aside map of class name strings to classes

## Method Details

### get

@Nullable public Class<? extends BaseContext> get(@Nonnull String name)
Get the relocated class object if it exists.

Parameters:
  `name` - class name
Returns:
  relocated class object